// tiny blue light
// =============================================================================
textures/cha0s_km/ceil2_lun
{
        qer_editorimage textures/cha0s_km/ceil2_lun.tga
        q3map_lightimage textures/cha0s_km/ceil2_lunglow.tga
        surfaceparm nodlight
        surfaceparm nomarks
        q3map_surfacelight 5000
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/ceil2_lun.tga
                blendfunc filter
        }
        {
                map textures/cha0s_km/ceil2_lunglow.tga
                blendfunc add
                rgbGen wave inversesawtooth 0.5 0.5 0 0.5
        }
}


// blue trim light
// =============================================================================
textures/cha0s_km/jaildr
{
        q3map_lightimage textures/cha0s_km/jaildrglow.tga
        surfaceparm nodlight
        surfaceparm nolightmap
        surfaceparm nomarks
        q3map_lightsubdivide 32
        q3map_surfacelight 900
        {
                map textures/cha0s_km/jaildr.tga
                rgbGen identity
        }
        {
                map textures/cha0s_km/jaildrglow.tga
                blendfunc add
                rgbGen wave inversesawtooth 0.5 0.5 0 0.5
        }
}


// white trim light
// =============================================================================
textures/cha0s_km/slight1
{
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm nomarks
        q3map_lightsubdivide 32
        q3map_surfacelight 500
        {
                map textures/cha0s_km/slight1.tga
                rgbGen identity
        }
        {
                map textures/cha0s_km/slight1fx.tga
                blendfunc add
                rgbGen wave inversesawtooth 0.5 0.5 0 0.5
        }
}


// white neon trim light
// =============================================================================
textures/cha0s_km/llight5
{
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm nomarks
        q3map_lightsubdivide 32
        q3map_surfacelight 600
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/llight5.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/cha0s_km/llight5blend.tga
                blendfunc add
                rgbGen wave inversesawtooth 0.5 0.5 0 0.5
        }
}


// white trim light (totaly abused :))
// =============================================================================
textures/cha0s_km/telewalllow
{
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm nomarks
        q3map_lightsubdivide 32
        q3map_surfacelight 600
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/telewalllow.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/cha0s_km/telewallfx.tga
                blendfunc add
                rgbGen wave sin 0.9 0.6 0 0.2
        }
}


// big white neon light
// =============================================================================
textures/cha0s_km/metpan_lite1
{
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm metalsteps
        surfaceparm nomarks
        q3map_surfacelight 1000
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/metpan_lite1.tga
                blendfunc gl_dst_color gl_src_alpha
                rgbGen identity
                alphaGen lightingSpecular
        }
        {
                map textures/cha0s_km/metpan_lite1fx.tga
                blendfunc add
                rgbGen wave sin 1 0.7 0 0.75
        }
}


// big white neon light (no light emitting version)
// =============================================================================
textures/cha0s_km/metpan_lite1_nl
{
        qer_editorimage textures/cha0s_km/metpan_lite1.tga
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm metalsteps
        surfaceparm nomarks
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/metpan_lite1.tga
                blendfunc gl_dst_color gl_src_alpha
                rgbGen identity
                alphaGen lightingSpecular
        }
        {
                map textures/cha0s_km/metpan_lite1fx.tga
                blendfunc add
                rgbGen wave sin 1 0.7 0 0.75
        }
}


// big white neon light (noclip version)
// =============================================================================
textures/cha0s_km/lite1_nc
{
        qer_editorimage textures/cha0s_km/lite1.tga
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm nomarks
        surfaceparm nonsolid
        q3map_surfacelight 1000
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/lite1.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/cha0s_km/lite1fx.tga
                blendfunc add
                rgbGen wave sin 0.9 0.7 0 0.2
        }
}


// huge white neon light
// =============================================================================
textures/cha0s_km/lite1
{
        q3map_lightimage textures/cha0s_km/glightfx.tga
        surfaceparm nomarks
        q3map_surfacelight 1000
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/lite1.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/cha0s_km/lite1fx.tga
                blendfunc add
                rgbGen wave sin 0.9 0.7 0 0.2
        }
}


// huge white neon light (no light emitting version)
// =============================================================================
textures/cha0s_km/lite1_nl
{
        qer_editorimage textures/cha0s_km/lite1.tga
        surfaceparm nomarks
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/lite1.tga
                blendfunc filter
                rgbGen identity
        }
        {
                map textures/cha0s_km/lite1fx.tga
                blendfunc add
                rgbGen wave sin 0.9 0.7 0 0.2
        }
}