// black ...
// =============================================================================
textures/cha0s_km/black
{
        qer_editorimage textures/skies/blacksky.tga
        surfaceparm noimpact
        surfaceparm nolightmap
        {
                map gfx/colors/black.tga
        }
}

// cq-industries logo (ripped from UAC)
// =============================================================================
textures/cha0s_km/starb2a
{
        qer_editorimage textures/cha0s_km/starb2a.tga
        {
                map textures/cha0s_km/doomfx1.tga
                rgbGen identity
                tcGen environment
        }
        {
                map textures/cha0s_km/starb2a.tga
                blendfunc gl_one gl_one_minus_src_alpha
                rgbGen identity
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}

// grid texture (used in front of lights)
// =============================================================================
textures/cha0s_km/ik_grid
{
        qer_editorimage textures/cha0s_km/ik_grid.tga
        surfaceparm alphashadow
        surfaceparm trans
        cull disable
        {
                map textures/cha0s_km/ik_grid.tga
                rgbGen identity
                depthWrite
                alphaFunc GE128
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
                depthFunc equal
        }
}

// shiny pipe mess shader
// =============================================================================
textures/cha0s_km/xpiplun1a
{
        qer_editorimage textures/cha0s_km/xpiplun1a.tga
        surfaceparm metalsteps
        {
//                map textures/effects/tinfx.tga
                map textures/cha0s_km/tinfx_blue.tga
                tcGen environment
        }
        {
                map textures/cha0s_km/xpiplun1a.tga
                blendfunc gl_one gl_one_minus_src_alpha
        }
        {
                map $lightmap
                blendfunc filter
                tcGen lightmap
        }
}

// metall trim - metalsteps sound
// =============================================================================
textures/cha0s_km/dmetsupport1
{
        surfaceparm metalsteps
        {
                map $lightmap
                rgbGen identity
                tcGen lightmap
        }
        {
                map textures/cha0s_km/dmetsupport1.tga
                blendfunc gl_dst_color gl_src_alpha
                rgbGen identity
                alphaGen lightingSpecular
        }
}


// shiny metall texture
// =============================================================================
textures/cha0s_km/vent
{
        surfaceparm nonsolid
        {
                map textures/cha0s_km/vent.tga
                rgbGen identity
        }
        {
//                map textures/effects/tinfx3.tga
    map textures/cha0s_km/tinfx_blue.tga
                blendfunc add
                rgbGen identity
                tcGen environment
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}


// computer fx
// =============================================================================
textures/cha0s_km/comp1
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/comp1.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/cha0s_km/comp1fx.tga
		blendfunc add
		rgbGen wave noise 0 0.9 0 8
	}
}

textures/cha0s_km/comp2
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/comp2.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/cha0s_km/comp2fx.tga
		blendfunc add
		rgbGen wave noise 0 0.9 0 12 
	}
}

//  old-style computers 
// =============================================================================
textures/cha0s_km/q1comp4
{
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/q1comp4.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/cha0s_km/q1comp4glow.tga
		blendfunc add
		rgbGen wave sin 0.9 0.15 0 0.5 
	}
}

textures/cha0s_km/q1comp6scroll
{
	qer_editorimage textures/cha0s_km/q1comp6.tga
	{
		map textures/cha0s_km/q1comp6scroll.tga
		rgbGen identity
		tcMod scroll 0 -0.5
	}
	{
//		map textures/effects/tinfx2.tga
    map textures/scavenger/c_tabletop.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/cha0s_km/q1comp6.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/q1comp6fx.tga
		blendfunc add
		rgbGen identity
	}
}

textures/cha0s_km/q1comp6neb
{
	qer_editorimage textures/cha0s_km/q1comp6.tga
	{
//		map textures/effects/tinfx2.tga
    map textures/scavenger/c_tabletop.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/cha0s_km/q1comp6.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/q1comp6fx6.tga
		blendfunc add
	}
}

textures/cha0s_km/q1comp6map
{
	qer_editorimage textures/cha0s_km/q1comp6.tga
	{
//		map textures/effects/tinfx2.tga
    map textures/scavenger/c_tabletop.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/cha0s_km/q1comp6.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/q1comp6fx4.tga
		blendfunc add
	}
}

textures/cha0s_km/q1comp6web
{
	qer_editorimage textures/cha0s_km/q1comp6.tga
	{
//		map textures/effects/tinfx2.tga
    map textures/scavenger/c_tabletop.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/cha0s_km/q1comp6.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/cha0s_km/q1comp6fx7.tga
		blendfunc add
	}
}


// void room shaders (dont look !!!11 :))
// =============================================================================
textures/cha0s_km/portal
{
        qer_editorimage textures/cha0s_km/grid.tga
        q3map_lightimage textures/mexicano/lightcolour.tga
        surfaceparm noimpact
        surfaceparm nolightmap
        portal
        {
                map textures/cha0s_km/grid.tga
                blendfunc filter
                rgbGen identityLighting
                depthWrite
                alphaGen portal 700
        }
}

textures/cha0s_km/fog
{
        qer_editorimage textures/sfx/fog_grey.tga
        surfaceparm fog
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        fogparms ( 1 1 1 ) 600
}

textures/cha0s_km/fakesky
{
        qer_editorimage textures/cha0s_km/grid.tga
        q3map_surfacelight 100
        q3map_sun 0.5 0.37 0.19 155 170 33
        {
                map textures/cha0s_km/grid.tga
                rgbGen identity
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}

textures/cha0s_km/grid_trans
{
        qer_editorimage textures/cha0s_km/grid.tga
        surfaceparm nolightmap
        surfaceparm nonsolid
        surfaceparm trans
        cull disable
        {
                map textures/cha0s_km/grid.tga
                blendfunc filter
        }
}