// water ...
// =============================================================================
textures/cha0s_km/water1
{
        qer_editorimage textures/cha0s_km/water_sfx.tga
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        {
                map textures/cha0s_km/water_sfx.tga
                blendfunc add
                tcMod scroll -0.05 0.09
                tcMod turb 0.15 0.1 0.2 0.06
        }
        {
                map textures/cha0s_km/water_bfx.tga
                blendfunc filter
                tcMod scroll 0.05 -0.09
                tcMod turb 0.15 0.2 0.2 0.08
        }
}

// nonvisible water (for sounds/behaviour)
// =============================================================================
textures/cha0s_km/fakewater
{
        qer_editorimage textures/cha0s_km/water_bfx.tga
        surfaceparm nodraw
        surfaceparm noimpact
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm water
        cull disable
        q3map_globaltexture
}

// flowing water (fast)
// =============================================================================
textures/cha0s_km/water2
{
        qer_editorimage textures/cha0s_km/water2_bfx.tga
        surfaceparm noimpact
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        q3map_surfacelight 30
        {
                map textures/cha0s_km/water2_sfx.tga
                blendfunc add
                tcMod scroll 0 -0.3
        }
        {
                map textures/cha0s_km/water2_bfx.tga
                blendfunc filter
                tcMod scroll 0 -0.4
        }
}

// flowing water (slow)
// =============================================================================
textures/cha0s_km/water3
{
        qer_editorimage textures/cha0s_km/water2_bfx.tga
        surfaceparm noimpact
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        q3map_surfacelight 30
        {
                map textures/cha0s_km/water2_sfx.tga
                blendfunc add
                tcMod scroll 0 -0.1
        }
        {
                map textures/cha0s_km/water2_bfx.tga
                blendfunc filter
                tcMod scroll 0 -0.2
        }
}

// flowing water (small)
// =============================================================================
textures/cha0s_km/water4
{
        qer_editorimage textures/cha0s_km/water3_bfx.tga
        surfaceparm noimpact
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        q3map_surfacelight 30
        {
                map textures/cha0s_km/water3_sfx.tga
                blendfunc add
                tcMod scroll 0 -0.1
        }
        {
                map textures/cha0s_km/water3_bfx.tga
                blendfunc filter
                tcMod scroll 0 -0.2
        }
}

// falling water (aka. rain :))
// =============================================================================
textures/cha0s_km/rain
{
        surfaceparm nodlight
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        sort additive
        cull disable
        deformVertexes autosprite2
        {
                map textures/cha0s_km/rain.tga
                blendfunc add
                tcMod scroll 0 -0.5
        }
}




